> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Incidents

An incident represents a problem or an issue that needs to be addressed and resolved. Incidents trigger on a service, which prompts notifications to go out to on-call responders per the service's escalation policy.

- [List incidents](https://docs.pagerduty.com/developer/api/reference/rest/incidents/list-incidents.md) — `GET /incidents`
- [Create an Incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/create-incident.md) — `POST /incidents`
- [Manage incidents](https://docs.pagerduty.com/developer/api/reference/rest/incidents/update-incidents.md) — `PUT /incidents`
- [Get an incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/get-incident.md) — `GET /incidents/{id}`
- [Update an incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/update-incident.md) — `PUT /incidents/{id}`
- [List alerts for an incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/list-incident-alerts.md) — `GET /incidents/{id}/alerts`
- [Manage alerts](https://docs.pagerduty.com/developer/api/reference/rest/incidents/update-incident-alerts.md) — `PUT /incidents/{id}/alerts`
- [Get an alert](https://docs.pagerduty.com/developer/api/reference/rest/incidents/get-incident-alert.md) — `GET /incidents/{id}/alerts/{alert_id}`
- [Update an alert](https://docs.pagerduty.com/developer/api/reference/rest/incidents/update-incident-alert.md) — `PUT /incidents/{id}/alerts/{alert_id}`
- [Manually change an Incident's Impact on a Business Service.](https://docs.pagerduty.com/developer/api/reference/rest/incidents/put-incident-manual-business-service-association.md) — `PUT /incidents/{id}/business_services/{business_service_id}/impacts`
- [List Business Services impacted by the given Incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/get-incident-impacted-business-services.md) — `GET /incidents/{id}/business_services/impacts`
- [Get Custom Field Values](https://docs.pagerduty.com/developer/api/reference/rest/incidents/get-incident-field-values.md) — `GET /incidents/{id}/custom_fields/values`
- [Update Custom Field Values](https://docs.pagerduty.com/developer/api/reference/rest/incidents/set-incident-field-values.md) — `PUT /incidents/{id}/custom_fields/values`
- [List log entries for an incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/list-incident-log-entries.md) — `GET /incidents/{id}/log_entries`
- [Merge incidents](https://docs.pagerduty.com/developer/api/reference/rest/incidents/merge-incidents.md) — `PUT /incidents/{id}/merge`
- [List notes for an incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/list-incident-notes.md) — `GET /incidents/{id}/notes`
- [Create a note on an incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/create-incident-note.md) — `POST /incidents/{id}/notes`
- [Delete a note on an incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/delete-incident-note.md) — `DELETE /incidents/{id}/notes/{note_id}`
- [Update a note on an incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/update-incident-note.md) — `PUT /incidents/{id}/notes/{note_id}`
- [Get Outlier Incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/get-outlier-incident.md) — `GET /incidents/{id}/outlier_incident`
- [Get Past Incidents](https://docs.pagerduty.com/developer/api/reference/rest/incidents/get-past-incidents.md) — `GET /incidents/{id}/past_incidents`
- [Get Related Incidents](https://docs.pagerduty.com/developer/api/reference/rest/incidents/get-related-incidents.md) — `GET /incidents/{id}/related_incidents`
- [Create a responder request for an incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/create-incident-responder-request.md) — `POST /incidents/{id}/responder_requests`
- [Cancel responder requests for an incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/cancel-incident-responder-request.md) — `PUT /incidents/{id}/responder_requests/cancel`
- [Get Scribe transcripts for an incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/get-incident-scribe-transcripts.md) — `GET /incidents/{id}/scribe_transcripts`
- [Snooze an incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/create-incident-snooze.md) — `POST /incidents/{id}/snooze`
- [Create a status update on an incident](https://docs.pagerduty.com/developer/api/reference/rest/incidents/create-incident-status-update.md) — `POST /incidents/{id}/status_updates`
- [List Notification Subscribers](https://docs.pagerduty.com/developer/api/reference/rest/incidents/get-incident-notification-subscribers.md) — `GET /incidents/{id}/status_updates/subscribers`
- [Add Notification Subscribers](https://docs.pagerduty.com/developer/api/reference/rest/incidents/create-incident-notification-subscribers.md) — `POST /incidents/{id}/status_updates/subscribers`
- [Remove Notification Subscriber](https://docs.pagerduty.com/developer/api/reference/rest/incidents/remove-incident-notification-subscribers.md) — `POST /incidents/{id}/status_updates/unsubscribe`

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
